From 7728fcab53c8e06c781f7347532cc8619799d8ff Mon Sep 17 00:00:00 2001
From: Erik Wienhold <ewie@ewie.name>
Date: Mon, 4 Sep 2023 23:50:33 +0200
Subject: [PATCH v2] Document implied privileges of createuser --superuser

Commit 8ae0d476a9 added option --superuser to createuser.  In contrast
to CREATE ROLE, createuser also grants CREATEDB and CREATEROLE to new
superusers.  This commit documents the implied privileges.
---
 doc/src/sgml/ref/createuser.sgml | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/doc/src/sgml/ref/createuser.sgml b/doc/src/sgml/ref/createuser.sgml
index 5c34c62342..03efeebe16 100644
--- a/doc/src/sgml/ref/createuser.sgml
+++ b/doc/src/sgml/ref/createuser.sgml
@@ -275,7 +275,8 @@ PostgreSQL documentation
       <term><option>--superuser</option></term>
       <listitem>
        <para>
-        The new user will be a superuser.
+        The new user will be a superuser.  Also implies <option>--createdb</option>
+        and <option>--createrole</option>.
        </para>
       </listitem>
      </varlistentry>
-- 
2.42.0

